build site:
  image: registry.gitlab.com/buiquanghuy.it/document-store/docker:latest
  stage: build
  script:
    - npm install --progress=false
    - npm run build 
  artifacts:
    expire_in: 1 week
    paths:
      - dist

deploy:
  image: registry.gitlab.com/buiquanghuy.it/document-store/docker:latest
  services:
    - docker:dind
  variables:
    DOCKER_DRIVER: overlay
  stage: deploy
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build -t $CI_REGISTRY/cryptic-sierra-73042/web ./dist
    - docker push $CI_REGISTRY/cryptic-sierra-73042/web
    - heroku container:release web --app cryptic-sierra-73042
